Refresh Metrics
curl --request POST \
--url https://api.example.com/metrics/refresh \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/metrics/refresh"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/metrics/refresh', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "e77c9531-818b-47a5-99cd-59fed61e5403",
"agent_runs_count": 2,
"agent_sessions_count": 2,
"team_runs_count": 0,
"team_sessions_count": 0,
"workflow_runs_count": 0,
"workflow_sessions_count": 0,
"users_count": 1,
"token_metrics": {
"input_tokens": 256,
"output_tokens": 441,
"total_tokens": 697,
"audio_total_tokens": 0,
"audio_input_tokens": 0,
"audio_output_tokens": 0,
"cache_read_tokens": 0,
"cache_write_tokens": 0,
"reasoning_tokens": 0
},
"model_metrics": [
{
"model_id": "gpt-4o",
"model_provider": "OpenAI",
"count": 2
}
],
"date": "2025-08-12T00:00:00",
"created_at": 1755016907,
"updated_at": 1755016907
}
]{
"detail": "Bad request",
"error_code": "BAD_REQUEST"
}{
"detail": "Unauthenticated access",
"error_code": "UNAUTHENTICATED"
}{
"detail": "Not found",
"error_code": "NOT_FOUND"
}{
"detail": "Validation error",
"error_code": "VALIDATION_ERROR"
}{
"detail": "Internal server error",
"error_code": "INTERNAL_SERVER_ERROR"
}Metrics
Refresh Metrics
Manually trigger recalculation of system metrics from raw data. This operation analyzes system activity logs and regenerates aggregated metrics. Useful for ensuring metrics are up-to-date or after system maintenance.
POST
/
metrics
/
refresh
Refresh Metrics
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Database ID to use for metrics calculation
Response
Metrics refreshed successfully